Get agent consumption data
https://{kibana_url}
- POST /api/agent_builder/agents/{agent_id}/consumption
Returns paginated, per-conversation token consumption data for a given agent. Includes input/output token counts, round counts, LLM call counts, and warnings for conversations with high token usage. Requires the manageAgents privilege. To learn more about monitoring agent token usage, refer to the monitor usage documentation.
[Required authorization] Route required privileges: agentBuilder:manageAgents.
Path Parameters
-
agent_idstringrequired -
The unique identifier of the agent.
Request
-
has_warningsboolean -
Filter to conversations with or without high-token warnings.
-
searchstring -
Free-text search filter on conversation title.
-
search_afterobject · max: 10000 -
Cursor for pagination. Pass the search_after value from the previous response.
-
sizenumber · min: 1 · max: 100 · default: 25 -
Number of results per page.
-
sort_field· default: updated_at -
Field to sort results by.
-
Values:
updated_attotal_tokensround_count -
usernamesstring · max: 10000 -
Filter results to conversations by these usernames.
Response
Indicates a successful response